import com.sun.java.swing.JTable;
import java.util.Vector;
import java.awt.Font;

public class MiJTable extends JTable {
    private boolean mEditable;
    
    MiJTable() {
        super();
        mEditable=false;
    }
    
    MiJTable(Vector filas, Vector cabecera) {
        super(filas, cabecera);
    }

    public void setCellEditable(boolean x) {
        mEditable=x;
    }

    public boolean isCellEditable(int row, int col)
    {
        return mEditable;
    }
    
    public String getString(int fila, int col) {
        Object valor=getValueAt(fila, col);
        if (valor==null)
            return "";
        else 
            return valor.toString();
    }
    
    public void setFontSize(int x) {
        Font f=this.getFont();
	    Font n=new Font(f.getName(), f.getStyle(), x);
		this.setFont(n);
	}
}